Name:           muntjac-widgetset
Version:        1.1.2
Release:        1%{?dist}
Summary:        A web application GUI toolkit

Group:          Development/Languages
License:        ASL 2.0
URL:            http://www.muntiacus.org/
Source0:        https://github.com/downloads/rwl/muntjac/MuntjacWidgetset.zip
Source1:        https://github.com/downloads/rwl/muntjac/RefresherWidgetSet.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  unzip
Requires:	python-muntjac

%description
Muntjac is a translation of Vaadin to the Python programming language. It
is similar to GUI toolkits for desktop applications, such as PyQT, wxPython
and PyGTK. However, it can be used to create dynamic, browser independent,
web applications. There is no need to write HTML, Javascript or RPC code,
just server-side Python.

This package contains the default Themes and Widgetsets.

%prep
%setup -q -a 1 -c %{name}-%{version}

%build
%{__cp} -r org.muntiacus.MuntjacWidgetSet  VAADIN/widgetsets

%install
rm -rf %{buildroot}
install -d $RPM_BUILD_ROOT%{_datadir}/muntjac
%{__cp} -r VAADIN $RPM_BUILD_ROOT%{_datadir}/muntjac
%{__chmod} -Rf a+r,u+w,g-w,o-w $RPM_BUILD_ROOT%{_datadir}/muntjac
install -d $RPM_BUILD_ROOT%{python_sitelib}/muntjac/public
%{__ln_s} %{_datadir}/muntjac/VAADIN $RPM_BUILD_ROOT%{python_sitelib}/muntjac/public

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc VAADIN/widgetsets/org.muntiacus.MuntjacWidgetSet/LICENSE
%doc VAADIN/widgetsets/org.muntiacus.MuntjacWidgetSet/README.md
%doc VAADIN/README
%{_datadir}/muntjac
%exclude %{_datadir}/muntjac/VAADIN/README
%{python_sitelib}/muntjac/public/VAADIN

%changelog
* Sat Apr 20 2013 Herve Quatremain <rv4m@yahoo.co.uk> - 1.1.2-1
- First version for Fedora
